> ## Documentation Index
> Fetch the complete documentation index at: https://polar.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Email Change

> Verify an email change using the token from the verification email.



## OpenAPI

````yaml /openapi/2027-01.openapi.json post /v1/customer-portal/customers/me/email-update/verify
openapi: 3.1.0
info:
  title: Polar API
  summary: Polar HTTP and Webhooks API
  description: >-
    Read the docs at https://polar.sh/docs/api-reference. See
    https://polar.sh/docs/api-reference/versioning for the API versioning and
    deprecation policy.
  version: 2027-01
servers:
  - url: https://api.polar.sh
    description: Production environment
    x-speakeasy-server-id: production
    x-polar-environment: production
  - url: https://sandbox-api.polar.sh
    description: Sandbox environment
    x-speakeasy-server-id: sandbox
    x-polar-environment: sandbox
security: []
tags:
  - name: public
    description: >-
      Endpoints shown and documented in the Polar API documentation and
      available in our SDKs.
  - name: private
    description: >-
      Endpoints that should appear in the schema only in development to generate
      our internal JS SDK.
  - name: mcp
    description: Endpoints supported by Polar's MCP server.
  - name: cli
    description: Endpoints exposed as commands by Polar's CLI.
externalDocs:
  description: API versioning and deprecation policy
  url: https://polar.sh/docs/api-reference/versioning
paths:
  /v1/customer-portal/customers/me/email-update/verify:
    post:
      tags:
        - customer_portal
        - customers
        - public
      summary: Verify Email Change
      description: Verify an email change using the token from the verification email.
      operationId: customer_portal:customers:verify_email_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerEmailUpdateVerifyRequest'
        required: true
      responses:
        '200':
          description: Email updated successfully. Returns a new session token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerEmailUpdateVerifyResponse'
        '401':
          description: Invalid or expired verification token.
        '422':
          description: Email address is already in use.
      x-codeSamples:
        - lang: python
          source: |
            from polar.v2027_01 import Polar

            polar = Polar("polar_oat_xxx")

            response = polar.customer_portal.customers.verify_email_update(
                token='string',
            )
            print(response)
        - lang: typescript
          source: >
            import { createPolar } from "@polar-sh/sdk/2027-01";


            const polar = createPolar({
              accessToken: "polar_oat_xxx",
            });


            const response = await
            polar.customerPortal.customers.verifyEmailUpdate(
              {
                "token": "string"
              },
            );

            console.log(response);
components:
  schemas:
    CustomerEmailUpdateVerifyRequest:
      properties:
        token:
          type: string
          title: Token
      type: object
      required:
        - token
      title: CustomerEmailUpdateVerifyRequest
    CustomerEmailUpdateVerifyResponse:
      properties:
        token:
          type: string
          title: Token
      type: object
      required:
        - token
      title: CustomerEmailUpdateVerifyResponse

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.